Index: trunk/NEMO/LIM_SRC_3/limthd_dh.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 888)
@@ -16,4 +16,5 @@
    USE phycst           ! physical constants (OCE directory) 
    USE ice_oce          ! ice variables
+   USE sbc_oce          ! Surface boundary condition: ocean fields
    USE thd_ice
    USE iceini
@@ -338,5 +339,5 @@
             zjj                 = ( npb(ji) - 1 ) / jpi + 1
             zfsalt_melt(ji)     = zfsalt_melt(ji) +                           &
-                                  ( sss_io(zji,zjj) - sm_i_b(ji)   ) *        &
+                                  ( sss_m(zji,zjj) - sm_i_b(ji)   ) *         &
                                   a_i_b(ji) *                                 &
                                   MIN( zdeltah(ji,jk) , 0.0 ) * rhoic / rdt_ice 
@@ -368,5 +369,5 @@
             WRITE(numout,*) ' qlbbq_1d: ', qlbbq_1d(ji)
             WRITE(numout,*) ' s_i_new : ', s_i_new(ji)
-            WRITE(numout,*) ' sss_io  : ', sss_io(zji,zjj)
+            WRITE(numout,*) ' sss_m   : ', sss_m(zji,zjj)
          ENDIF
 
@@ -494,6 +495,6 @@
                            zswi2  * 0.26 /  &
                            ( 0.26 + 0.74 * EXP ( - 724300.0 * zgrr ) ) 
-                  zds         = zfracs*sss_io(zji,zjj) - s_i_new(ji)
-                  s_i_new(ji) = zfracs * sss_io(zji,zjj)
+                  zds         = zfracs*sss_m(zji,zjj) - s_i_new(ji)
+                  s_i_new(ji) = zfracs * sss_m(zji,zjj)
                ENDIF ! fc_bo_i
             END DO ! ji
@@ -567,5 +568,5 @@
                   zjj             = ( npb(ji) - 1 ) / jpi + 1
                   zfsalt_melt(ji) = zfsalt_melt(ji) +                         &
-                                   ( sss_io(zji,zjj) - sm_i_b(ji)   ) *       &
+                                   ( sss_m(zji,zjj) - sm_i_b(ji)   ) *        &
                                    a_i_b(ji) * &
                                    MIN( zdeltah(ji,jk) , 0.0 ) * rhoic / rdt_ice 
@@ -596,5 +597,5 @@
                 WRITE(numout,*) ' qlbbq_1d: ', qlbbq_1d(ji)
                 WRITE(numout,*) ' s_i_new : ', s_i_new(ji)
-                WRITE(numout,*) ' sss_io  : ', sss_io(zji,zjj)
+                WRITE(numout,*) ' sss_m   : ', sss_m(zji,zjj)
                 WRITE(numout,*) ' dh_i_bott : ', dh_i_bott(ji)
                 WRITE(numout,*) ' innermelt : ', innermelt(ji)
@@ -701,10 +702,10 @@
          fseqv_1d(ji)  = fseqv_1d(ji) + zihgnew * zfsalt_melt(ji) +           &
                           (1.0 - zihgnew) * rdmicif_1d(ji) *                  &
-                          ( sss_io(zji,zjj) - sm_i_b(ji) ) / rdt_ice
+                          ( sss_m(zji,zjj) - sm_i_b(ji) ) / rdt_ice
          ! new lines
          IF ( num_sal .EQ. 4 ) &
          fseqv_1d(ji)  = fseqv_1d(ji) + zihgnew * zfsalt_melt(ji) +           &
                           (1.0 - zihgnew) * rdmicif_1d(ji) *                  &
-                          ( sss_io(zji,zjj) - bulk_sal ) / rdt_ice
+                          ( sss_m(zji,zjj) - bulk_sal ) / rdt_ice
          ! Heat flux
          ! excessive bottom ablation energy (fsup) - 0 except if jpl = 1
@@ -762,6 +763,4 @@
                              *(ht_s_b(ji)-zhnnew)*rhosn
 
-#if defined key_lim_fdd 
-!(presently Activated) 
          rdmicif_1d(ji) = rdmicif_1d(ji) + a_i_b(ji) & 
                                          * ( zhgnew(ji) - ht_i_b(ji) )*rhoic 
@@ -775,5 +774,5 @@
 
          zsm_snowice  = ( rhoic - rhosn ) / rhoic *            &
-                        sss_io(zji,zjj) 
+                        sss_m(zji,zjj) 
 
          IF ( num_sal .NE. 2 ) zsm_snowice = sm_i_b(ji)
@@ -781,5 +780,5 @@
          IF ( num_sal .NE. 4 ) &
          fseqv_1d(ji)   = fseqv_1d(ji)   + &
-                          ( sss_io(zji,zjj) - zsm_snowice ) * &
+                          ( sss_m(zji,zjj) - zsm_snowice ) * &
                             a_i_b(ji)   * &
                           ( zhgnew(ji) - ht_i_b(ji) ) * rhoic / rdt_ice
@@ -787,5 +786,5 @@
          IF ( num_sal .EQ. 4 ) &
          fseqv_1d(ji)   = fseqv_1d(ji)   + &
-                          ( sss_io(zji,zjj) - bulk_sal    ) * &
+                          ( sss_m(zji,zjj) - bulk_sal    ) * &
                             a_i_b(ji)   * &
                           ( zhgnew(ji) - ht_i_b(ji) ) * rhoic / rdt_ice
@@ -801,9 +800,4 @@
                             - sm_i_b(ji) ) * isnowic     
 
-#else
-         rdmicif_1d(ji) = rdmicif_1d(ji) + a_i_b(ji) &
-                                         * ( zhgnew(ji) - ht_i_b(ji) ) * rhoic &
-                                         + ( zhnnew - ht_s_b(ji) ) * rhosn )
-#endif
 !  Actualize new snow and ice thickness.
          ht_s_b(ji)  = zhnnew
Index: trunk/NEMO/LIM_SRC_3/limthd_lac.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 888)
@@ -1,4 +1,3 @@
 MODULE limthd_lac
-#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3'                                      LIM3 sea-ice model
@@ -8,5 +7,5 @@
    !!                lateral thermodynamic growth of the ice 
    !!======================================================================
-
+#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   lim_lat_acr    : lateral accretion of ice
@@ -17,4 +16,6 @@
    USE phycst
    USE ice_oce         ! ice variables
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE thd_ice
    USE dom_ice
@@ -23,6 +24,4 @@
    USE iceini
    USE limtab
-   USE taumod
-   USE blk_oce
    USE limcons
      
@@ -46,6 +45,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limthd_lac.F90,v 1.5 2005/03/27 18:34:42 opalod Exp $ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -181,5 +180,5 @@
          vt_s_init, vt_s_final,   &  !  snow volume summed over categories
          et_i_init, et_i_final,   &  !  ice energy summed over categories
-         et_s_init, et_s_final       !  snow energy summed over categories
+         et_s_init                   !  snow energy summed over categories
 
       REAL(wp) ::            &
@@ -267,8 +266,8 @@
             !-------------
             ! C-grid wind stress components
-            ztaux         = ( gtaux(ji-1,jj  ) * tmu(ji-1,jj  ) &
-                          +   gtaux(ji  ,jj  ) * tmu(ji  ,jj  ) ) / 2.0
-            ztauy         = ( gtauy(ji  ,jj-1) * tmv(ji  ,jj-1) &
-                          +   gtauy(ji  ,jj  ) * tmv(ji  ,jj  ) ) / 2.0
+            ztaux         = ( utaui_ice(ji-1,jj  ) * tmu(ji-1,jj  ) &
+                          +   utaui_ice(ji  ,jj  ) * tmu(ji  ,jj  ) ) / 2.0
+            ztauy         = ( vtaui_ice(ji  ,jj-1) * tmv(ji  ,jj-1) &
+                          +   vtaui_ice(ji  ,jj  ) * tmv(ji  ,jj  ) ) / 2.0
             ! Square root of wind stress
             ztenagm       =  SQRT( SQRT( ztaux * ztaux + ztauy * ztauy ) )
@@ -343,5 +342,5 @@
                nbpac = nbpac + 1
                npac( nbpac ) = (jj - 1) * jpi + ji
-               IF ( (ji.eq.jiindex).AND.(jj.eq.jjindex) ) THEN
+               IF ( (ji.eq.jiindx).AND.(jj.eq.jjindx) ) THEN
                   jiindex_1d = nbpac
                ENDIF
@@ -418,5 +417,5 @@
               zji            =   MOD( npac(ji) - 1, jpi ) + 1
               zjj            =   ( npac(ji) - 1 ) / jpi + 1
-              zs_newice(ji)  =   MIN( 0.5*sss_io(zji,zjj) , zs_newice(ji) )
+              zs_newice(ji)  =   MIN( 0.5*sss_m(zji,zjj) , zs_newice(ji) )
            END DO ! jl
 
@@ -476,5 +475,5 @@
               zjj            = ( npac(ji) - 1 ) / jpi + 1
               fseqv_1d(ji)   = fseqv_1d(ji) +                                     &
-                               ( sss_io(zji,zjj) - bulk_sal      ) * rhoic *      &
+                               ( sss_m(zji,zjj) - bulk_sal      ) * rhoic *       &
                                zv_newice(ji) / rdt_ice
            END DO
@@ -484,5 +483,5 @@
               zjj            = ( npac(ji) - 1 ) / jpi + 1
               fseqv_1d(ji)   = fseqv_1d(ji) +                                     &
-                               ( sss_io(zji,zjj) - zs_newice(ji) ) * rhoic *      &
+                               ( sss_m(zji,zjj) - zs_newice(ji) ) * rhoic *       &
                                zv_newice(ji) / rdt_ice
            END DO ! ji
@@ -617,5 +616,5 @@
         END DO
 
-        WRITE(numout,*) ' zv_i_ac : ', zv_i_ac(jiindex, 1:jpl)
+        WRITE(numout,*) ' zv_i_ac : ', zv_i_ac(jiindx, 1:jpl)
         DO jl = ice_cat_bounds(jm,1), ice_cat_bounds(jm,2)
            DO ji = 1, nbpac
@@ -626,5 +625,5 @@
            END DO ! ji
         END DO ! jl
-        WRITE(numout,*) ' zv_i_ac : ', zv_i_ac(jiindex, 1:jpl)
+        WRITE(numout,*) ' zv_i_ac : ', zv_i_ac(jiindx, 1:jpl)
 
         !---------------------------------
@@ -796,8 +795,8 @@
 !     CALL lim_cons_check (et_s_init, et_s_final, 1.0e-3, fieldid) 
 
-      WRITE(numout,*) ' vt_i_init : ', vt_i_init(jiindex,jjindex)
-      WRITE(numout,*) ' vt_i_final: ', vt_i_final(jiindex,jjindex)
-      WRITE(numout,*) ' et_i_init : ', et_i_init(jiindex,jjindex)
-      WRITE(numout,*) ' et_i_final: ', et_i_final(jiindex,jjindex)
+      WRITE(numout,*) ' vt_i_init : ', vt_i_init(jiindx,jjindx)
+      WRITE(numout,*) ' vt_i_final: ', vt_i_final(jiindx,jjindx)
+      WRITE(numout,*) ' et_i_init : ', et_i_init(jiindx,jjindx)
+      WRITE(numout,*) ' et_i_final: ', et_i_final(jiindx,jjindx)
 
       ENDIF
Index: trunk/NEMO/LIM_SRC_3/limthd_sal.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 888)
@@ -1,4 +1,3 @@
 MODULE limthd_sal
-#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3'                                      LIM3 sea-ice model
@@ -9,5 +8,5 @@
    !!                               the ice
    !!======================================================================
-
+#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   lim_thd_sal : salinity variations in the ice
@@ -16,4 +15,5 @@
    USE phycst           ! physical constants (ocean directory)
    USE ice_oce          ! ice variables
+   USE sbc_oce          ! Surface boundary condition: ocean fields
    USE thd_ice
    USE iceini
@@ -40,5 +40,5 @@
    CONTAINS
 
-   SUBROUTINE lim_thd_sal(kideb,kiut,jl)
+   SUBROUTINE lim_thd_sal(kideb,kiut)
       !!-------------------------------------------------------------------
       !!                ***  ROUTINE lim_thd_sal  ***       
@@ -76,5 +76,5 @@
       !! * Local variables
       INTEGER, INTENT(in) :: &
-         kideb, kiut, jl         !: thickness category index
+         kideb, kiut             !: thickness category index
 
       INTEGER ::             &
@@ -318,5 +318,5 @@
             zjj                 = ( npb(ji) - 1 ) / jpi + 1
             fseqv_1d(ji) = fseqv_1d(ji)              + & 
-                           ( sss_io(zji,zjj) - bulk_sal    ) * & 
+                           ( sss_m(zji,zjj) - bulk_sal    ) * & 
                            rhoic * a_i_b(ji) * &
                            MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
@@ -327,5 +327,5 @@
             zjj                 = ( npb(ji) - 1 ) / jpi + 1
             fseqv_1d(ji) = fseqv_1d(ji)              + & 
-                           ( sss_io(zji,zjj) - s_i_new(ji) ) * & 
+                           ( sss_m(zji,zjj) - s_i_new(ji) ) * & 
                              rhoic * a_i_b(ji) * &
                              MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
Index: trunk/NEMO/LIM_SRC_3/limtrp.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limtrp.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limtrp.F90	(revision 888)
@@ -17,4 +17,5 @@
    USE in_out_manager  ! I/O manager
    USE ice_oce         ! ice variables
+   USE sbc_oce         ! Surface boundary condition: ocean fields
    USE dom_ice
    USE ice
@@ -51,6 +52,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limtrp.F90,v 1.5 2005/03/27 18:34:42 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -519,5 +520,5 @@
 
                   ! Ice salinity and age
-                  zsal            = MAX( MIN( (rhoic-rhosn)/rhoic*sss_io(ji,jj)  , &
+                  zsal            = MAX( MIN( (rhoic-rhosn)/rhoic*sss_m(ji,jj)  , &
                                             zusvoic * zs0sm(ji,jj,jl) ), s_i_min ) * &
                                             v_i(ji,jj,jl)
